<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: config_loader Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('namespaceconfig__loader.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">config_loader Namespace Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classconfig__loader_1_1bcolors.html">bcolors</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ac7594db56c84c6ba3d75b94585a875d3"><td class="memItemLeft" align="right" valign="top">dict&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceconfig__loader.html#ac7594db56c84c6ba3d75b94585a875d3">get_config</a> (str user_parameters_filename)</td></tr>
<tr class="separator:ac7594db56c84c6ba3d75b94585a875d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c88a5c1420a17c044230ca1a7e450b2"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceconfig__loader.html#a3c88a5c1420a17c044230ca1a7e450b2">import_config_file</a> (str filename)</td></tr>
<tr class="separator:a3c88a5c1420a17c044230ca1a7e450b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad543d4aa6091f1c8b8e01a89843d1940"><td class="memItemLeft" align="right" valign="top">str&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceconfig__loader.html#ad543d4aa6091f1c8b8e01a89843d1940">demand_user_config_filename</a> (str user_parameters_filename)</td></tr>
<tr class="separator:ad543d4aa6091f1c8b8e01a89843d1940"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9156a263534268808c64fb69d1864204"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceconfig__loader.html#a9156a263534268808c64fb69d1864204">create_config</a> (dict final_config, dict user_config, str target)</td></tr>
<tr class="separator:a9156a263534268808c64fb69d1864204"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10158be8236547cff85d28e2bb9cbb8e"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceconfig__loader.html#a10158be8236547cff85d28e2bb9cbb8e">normalise_params</a> (dict component, bool use_dict=True)</td></tr>
<tr class="separator:a10158be8236547cff85d28e2bb9cbb8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98cbb01192b003f5cfe734921c3b167c"><td class="memItemLeft" align="right" valign="top">dict&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceconfig__loader.html#a98cbb01192b003f5cfe734921c3b167c">finalise_sim_dict</a> (str sim_dict_key, dict final_config, dict user_config)</td></tr>
<tr class="separator:a98cbb01192b003f5cfe734921c3b167c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa25433d44f968b32f5ed4278fc2030e3"><td class="memItemLeft" align="right" valign="top">dict&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceconfig__loader.html#aa25433d44f968b32f5ed4278fc2030e3">create_comp_tables</a> (dict final_config, dict user_config)</td></tr>
<tr class="separator:aa25433d44f968b32f5ed4278fc2030e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c4242f3450d4ff01407b44156b5dc6d"><td class="memItemLeft" align="right" valign="top">dict&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceconfig__loader.html#a6c4242f3450d4ff01407b44156b5dc6d">create_time_parameters</a> (dict final_config, dict user_config)</td></tr>
<tr class="separator:a6c4242f3450d4ff01407b44156b5dc6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a17fdd300d92b1207239fa95cd0e5a0d3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceconfig__loader.html#a17fdd300d92b1207239fa95cd0e5a0d3">log</a> = logging.getLogger(__name__)</td></tr>
<tr class="separator:a17fdd300d92b1207239fa95cd0e5a0d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="aa25433d44f968b32f5ed4278fc2030e3" name="aa25433d44f968b32f5ed4278fc2030e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa25433d44f968b32f5ed4278fc2030e3">&#9670;&nbsp;</a></span>create_comp_tables()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dict config_loader.create_comp_tables </td>
          <td>(</td>
          <td class="paramtype">dict&#160;</td>
          <td class="paramname"><em>final_config</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dict&#160;</td>
          <td class="paramname"><em>user_config</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9156a263534268808c64fb69d1864204" name="a9156a263534268808c64fb69d1864204"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9156a263534268808c64fb69d1864204">&#9670;&nbsp;</a></span>create_config()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def config_loader.create_config </td>
          <td>(</td>
          <td class="paramtype">dict&#160;</td>
          <td class="paramname"><em>final_config</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dict&#160;</td>
          <td class="paramname"><em>user_config</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>target</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6c4242f3450d4ff01407b44156b5dc6d" name="a6c4242f3450d4ff01407b44156b5dc6d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c4242f3450d4ff01407b44156b5dc6d">&#9670;&nbsp;</a></span>create_time_parameters()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dict config_loader.create_time_parameters </td>
          <td>(</td>
          <td class="paramtype">dict&#160;</td>
          <td class="paramname"><em>final_config</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dict&#160;</td>
          <td class="paramname"><em>user_config</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad543d4aa6091f1c8b8e01a89843d1940" name="ad543d4aa6091f1c8b8e01a89843d1940"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad543d4aa6091f1c8b8e01a89843d1940">&#9670;&nbsp;</a></span>demand_user_config_filename()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"> str config_loader.demand_user_config_filename </td>
          <td>(</td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>user_parameters_filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a98cbb01192b003f5cfe734921c3b167c" name="a98cbb01192b003f5cfe734921c3b167c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98cbb01192b003f5cfe734921c3b167c">&#9670;&nbsp;</a></span>finalise_sim_dict()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dict config_loader.finalise_sim_dict </td>
          <td>(</td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>sim_dict_key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dict&#160;</td>
          <td class="paramname"><em>final_config</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dict&#160;</td>
          <td class="paramname"><em>user_config</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac7594db56c84c6ba3d75b94585a875d3" name="ac7594db56c84c6ba3d75b94585a875d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7594db56c84c6ba3d75b94585a875d3">&#9670;&nbsp;</a></span>get_config()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"> dict config_loader.get_config </td>
          <td>(</td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>user_parameters_filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3c88a5c1420a17c044230ca1a7e450b2" name="a3c88a5c1420a17c044230ca1a7e450b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c88a5c1420a17c044230ca1a7e450b2">&#9670;&nbsp;</a></span>import_config_file()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def config_loader.import_config_file </td>
          <td>(</td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a10158be8236547cff85d28e2bb9cbb8e" name="a10158be8236547cff85d28e2bb9cbb8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10158be8236547cff85d28e2bb9cbb8e">&#9670;&nbsp;</a></span>normalise_params()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def config_loader.normalise_params </td>
          <td>(</td>
          <td class="paramtype">dict&#160;</td>
          <td class="paramname"><em>component</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &#160;</td>
          <td class="paramname"><em>use_dict</em> = <code>True</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a17fdd300d92b1207239fa95cd0e5a0d3" name="a17fdd300d92b1207239fa95cd0e5a0d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17fdd300d92b1207239fa95cd0e5a0d3">&#9670;&nbsp;</a></span>log</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">config_loader.log = logging.getLogger(__name__)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceconfig__loader.html">config_loader</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
